<?php

namespace Fivable\Buildable\Controllers;

use Fivable\Buildable\Models\BuildableSetting;
use Fivable\Scaffolding\Controllers\ApiController;
use Illuminate\Http\Request;

class BuildableAdminController extends ApiController
{
    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $settings = BuildableSetting::snailCaseSettings();

        $viewVariables = array_merge(
            [
                // you can add other key => value view variables right here
            ],
            $settings
        );

        return view('buildable::default-home', $viewVariables);
    }
}
